REM cybermorph speed table generator
REM
MAXMORPH = 16384
MAXSPEED = 400

RANGE = 192
NORMRANGE = 100
REVSPD = -NORMRANGE * 3 / 4
REVSTEPS = 64
PRINT "MAXSPEEDIX         equ     "; INT(RANGE+REVSTEPS)
PRINT "MAXFWDIX           equ     "; INT(NORMRANGE+REVSTEPS)
PRINT "SLOWFWDIX          equ     "; INT(NORMRANGE/2+REVSTEPS)

J = 0
I = REVSPD
WHILE I < 0
	PRINT " DC.W "; INT(I * MAXSPEED / RANGE)
	I = I - REVSPD / REVSTEPS
	J = J + 1
WEND

FOR I = 0 TO RANGE
     PRINT " DC.W "; INT((I) * MAXSPEED / (RANGE - 1))
     NEXT

PRINT "STOPSPD			equ "; J
PRINT "FWDSPD			equ "; J+1
SYSTEM

